void motor(int v1, int v2)
{
  if (v1 < 0)
  {
    digitalWrite(M1_2, LOW);
    analogWrite(M1_1, abs(v1));
  }
  else
  {
    digitalWrite(M1_1, LOW);
    analogWrite(M1_2, abs(v1));
  }
  if (v2 < 0)
  {
    digitalWrite(M2_2, LOW);
    analogWrite(M2_1, abs(v2));
  }
  else
  {
    digitalWrite(M2_1, LOW);
    analogWrite(M2_2, abs(v2));
  }
}
